# C1TrueDBGrid

## Implementation  Details

> **Component Selector:** 'wm-c1truedbgrid'

## Class inheritance

C1TrueDBGridComponent extends [GridComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/grid-component.md).

## PME Support

### Properties

| Property                 | Get/Set | Notify Changes | Details                                                                                                                                                                                         |
| ------------------------ | ------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| text: string             | Yes     | Yes            | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md).                 |
| name: string             | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md).                 |
| enabled: boolean         | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md).                 |
| visible: boolean         | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md).                 |
| disabled: string         | Yes     | No             | Set property disabled if it is required.                                                                                                                                                        |
| items: any\[]            | Yes     | No             | Gets a collection containing all items in the control [see GridComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/grid-component.md). |
| row: number              | Yes     | Yes            | Gets or sets the rows.                                                                                                                                                                          |
| col: number              | Yes     | Yes            | Gets or sets the cols.                                                                                                                                                                          |
| allowUpdate: boolean     | Get     | No             | Gets the value if the component can be updated.                                                                                                                                                 |
| isEditing: boolean       | Yes     | Yes            | Gets the value if the component is editing.                                                                                                                                                     |
| refresh: boolean         | Yes     | No             | Indicates whether the component has to obtain new data from the server.                                                                                                                         |
| rowHeigth: number        | Yes     | No             | Gets the grid's height for each row in pixels.                                                                                                                                                  |
| CellTips: boolean        | Get     | No             | Decides if the cells will show a tooltip.                                                                                                                                                       |
| CellTipsWidth: number    | Get     | No             | Returns the width in pixels to be set in cell tooltip.                                                                                                                                          |
| CellTipsDelay: number    | Get     | No             | Returns the time in milliseconds to display the tooltip.                                                                                                                                        |
| recordSelectors: boolean | Get     | No             | Returns the value for RecordSelectors property.                                                                                                                                                 |
| refreshColumns: boolean  | Yes     | Yes            | Indicates whether the component has to obtain new columns from the server.                                                                                                                      |

### DisplayColumn

| Property                    | Details                                                                                           |
| --------------------------- | ------------------------------------------------------------------------------------------------- |
| backcolor: string           | Gets or sets the background color.                                                                |
| forecolor: string           | Gets or sets the foreground color.                                                                |
| font: string                | Gets or sets the Font.                                                                            |
| horizontalalignment: number | Gets or sets the horizontal text alignment.                                                       |
| verticalalignment: number   | Gets or sets the vertical text alignment.                                                         |
| locked: boolean             | Gets or sets a value indicating whether data entry is permitted for the associated object.        |
| wrap: number                | Gets or sets a value indicating whether text is wrapped when it does not fit into a layout shape. |

### Methods

| Method                      | Supported | Details                                                                                                                                                                       |
| --------------------------- | --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| setSelectableSettings: void | Yes       | Sets selection mode of the component [see GridComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/grid-component.md) |

### Events

| Event                           | Supported | Parameter           | Details                                                                                                                                          |
| ------------------------------- | --------- | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| cellClick                       | Yes       | **$event**: any     | Triggered when a cell is clicked. ***$event*** parameter is optional and the ***$event***  object vary depending on the type of DOM event.       |
| cellClose                       | Yes       | **$event**: any     | Triggered when a cell editor is closed. ***$event*** parameter is optional and the ***$event***  object vary depending on the type of DOM event. |
| beforeColEditEventHandler : any | Yes       | **$EventData**: any | Triggered before edit the cell.                                                                                                                  |
| editEventHandler : any          | Yes       | **$EventData**: any | Triggered when the cell is being edited                                                                                                          |
| rowColChangeEventHandler : any  | Yes       | **$EventData**: any | Triggered when a row or column is selected.                                                                                                      |
| headClickEventHandler : any     | Yes       | **$EventData**: any | Triggered when a row or column is selected.                                                                                                      |
| DoubleClick                     | Yes       | **$event**: any     | Trigger DoubleClick Event. ***$event*** parameter is optional and the ***$event***  object vary depending on the type of DOM event.              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/winforms-angular-components/web-components/kendoui-components/c1truedbgrid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
